macosx/pxlmono

OpenPrinting : MacOSX : pxlmono

Contents

pxlmono for Mac OS X

Downloads Required

pxlmono 1.9 for Mac OS X 10.3.x (Panther) - Mac OS X 10.8.x (Mountain Lion)

pxlmono-1.9.dmg  (5.8MB)
The pxlmono package includes PPDs for over 1000 compatible printing devices. This package requires, but does not include Foomatic-RIP and Ghostscript for Mac OS X. Download these items from the links below, if necessary.
source code--PPDs generated by PPD-O-MATIC (4.0.0 or newer)

Foomatic-RIP for Mac OS X 10.3.x (Panther) - Mac OS X 10.8.x (Mountain Lion)

Foomatic-RIP 4.0.6  (668 KB)
The Foomatic-RIP package installs the necessary core runtime components to enable printing with Foomatic machinery in Mac OS X. This package is generally not useful without Ghostscript and at least one foomatic PPD. Please see the usage instructions below for more details.
source code included on disk image

Ghostscript for Mac OS X 10.3.x (Panther) - Mac OS X 10.8.x (Mountain Lion)

gplgs-8.71.dmg (33 MB)
GPL Ghostscript is an open-source PostScript interpreter that includes integrated support for the CUPS printing system in Mac OS X. It is the replacement for ESP Ghostscript.
GPL Ghostscript is required for all users.
source code

pxlmono 1.5 for Mac OS X 10.2 (Jaguar)

pxlmono-1.5.dmg  (3.4MB)
The pxlmono package requires, but does not include, Foomatic-RIP and GPL Ghostscript for Mac OS X. Download these items from the links below, if necessary.
source code--PPDs generated by PPD-O-MATIC (3.0.0 or newer)

Foomatic-RIP for Mac OS X 10.2.x (Jaguar)

Foomatic-RIP 3.0.2  (224KB)
The Foomatic-RIP package installs the necessary core runtime components (the foomatic-RIP CUPS filter and the foomatic-gswrapper) to enable printing with Foomatic machinery in Mac OS X. This package is generally not useful without Ghostscript and at least one foomatic PPD. Please see the usage instructions below for more details.
source code included on disk image

Ghostscript for Mac OS X 10.2.x (Jaguar)

gplgs-8.61-jaguar-ppc.dmg (17.1 MB)
GPL Ghostscript 8.61 is an open-source PostScript interpreter that includes integrated support for the CUPS printing system in Mac OS X. It is the replacement for ESP Ghostscript.
GPL Ghostscript is required for all users. It is not necessary to install Ghostsccript more than once.
source code

Please note: all packages require Mac OS X version 10.2 or newer.

 

 

Package Description

Release Date: April 1, 2011

The pxlmono package contains PPD files for the supported grayscale and color printers from Brother, Epson, Gestetner, HP, Infotec, Kyocera, Lanier, NRG, Ricoh, Samsung, and Savin and others. On Mac OS X Jaguar and later, printing with pxlmono PPDs requires Foomatic-RIP (a CUPS filter script) and Ghostscript (an open-source PostScript interpreter), and a foomatic PPD for each supported printer. The PPDs are designed to be used in conjuction with the Foomatic-RIP filter and Ghostscript. The PPDs use the 'pxlmono' and 'pxlcolor' devices that are built into Ghostscript.

The PPDs are text only files and will work equally well on either PPC or Intel Macs.

New in this release:

  • All printers supported by the following OpenPrinting drivers are included in this release:
         pxlcolor
         pxlcolor-Gestetner
         pxlcolor-Infotec
         pxlcolor-Lanier
         pxlcolor-NRG
         pxlcolor-Ricoh
         pxlcolor-Savin
         pxlmono
         pxlmono-Gestetner
         pxlmono-Infotec
         pxlmono-Lanier
         pxlmono-NRG
         pxlmono-Ricoh
         pxlmono-Savin
  • For those using Ricoh brand printers with user codes, the installer will transfer the user codes to the updated PPD.
  • The PPDs for the Ricoh family of printers have been updated.

Installation Notes

  • Pleae make sure that you have downloaded and installed the Foomatic-RIP and Ghostscript packages. The pxlmono PPDs will not work without these being installed.

Printer Set Up Instructions

To add a printer queue, Leopard (Mac OS X 10.5.x) users should use the Print & Fax from System Preferences. Click on the + (plus) icon at the lower left. A new window will open. In that window, click the Default Browser icon at the top left. Highlight your printer in the section below. Use the "Print Using" pop-up menu near the bottom of the window to select the correct PPD for your printer and click Add.

Tiger users should open the Printer Setup Utility and click on the Add icon at the top of the Printer List window. A new window will open. In that window, click the Default Browser icon at the top left. Highlight your printer in the section below. Use the "Print Using" pop-up menu near the bottom of the window to select the correct PPD for your printer and click Add.

Jaguar (OS X 10.2.x) and Panther (OS X 10.3.x) users should open Print Center (Jaguar) or Printer Setup Utility (Panther), hold down the Option key, and click the Add Printer button in the Print Center toolbar. Within the setup sheet, choose Advanced from the top popup menu; then in the "Device:" popup menu select your printer by name (it should be the last item in the menu list). Finally, select the correct PPD from the model browser and click Add.

Printers

The pxlmono installer for Mac OS X ncludes PPDs for 1001 printers.

 

More Info

Package license: GNU GENERAL PUBLIC LICENSE (GPL) and MIT open source license.

Mac OS X is a trademark of Apple Computer, Inc. HP is a trademark of Hewlett-Packard, Inc. Other trademarks are the property of their respective owners.

Groups: